> ## Documentation Index
> Fetch the complete documentation index at: https://docs.payfonte.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Request a Disbursement

> Request a Disbursement to a Transfer Recipient



## OpenAPI

````yaml /api-reference/openapi-3.1.yml post /billing/v1/disbursements
openapi: 3.1.0
info:
  title: Payfonte - OpenAPI 3.1
  description: >-
    This is the minimal API for payfonte collection and disbursements API. To
    view a more elaborate documentation see here.


    Some useful links:

    - [Home](https://payfonte.com)

    - [Payfonte Documentation](https://docs.payfonte.com)
  termsOfService: https://www.payfonte.com/terms
  contact:
    email: tech@payfonte.com
  version: 1.0.0
servers:
  - url: https://sandbox-api.payfonte.com
    description: Sandbox API Base URL
  - url: https://api.payfonte.com
    description: Production API Base URL
security:
  - clientId: []
    clientSecret: []
tags:
  - name: Collections
    description: Everything about your payment collection with payfonte
    externalDocs:
      description: Find out more
      url: https://docs.payfonte.com/#/collections/inline
  - name: Card Collections
    description: Everything about your card payment collections with payfonte
  - name: Disbursements
    description: >
      Find full list of supported Disbursement providers here [Supported
      Providers](https://docs.payfonte.com/#/Disbursements/supported-Disbursements)

      There are 3 main process to carry out a Disbursement on Payfonte

      1. Validate A transfer Recipient

      2. Initiate a Disbursement Request

      3. Verify a Disbursement Request
  - name: Wallets
    description: >-
      A Little bit about our [wallets here]
      (https://docs.payfonte.com/#/introductions/wallets)
paths:
  /billing/v1/disbursements:
    post:
      tags:
        - Disbursements
      summary: Request a Disbursement
      description: Request a Disbursement to a Transfer Recipient
      operationId: RequestADisbursement
      requestBody:
        description: Request a Disbursement
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RequestDisbursementRequest'
        required: true
      responses:
        '201':
          description: Request for Disbursement Successful
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/RequestDisbursementResponse'
components:
  schemas:
    RequestDisbursementRequest:
      type: object
      required:
        - transferRecipientId
        - amount
      properties:
        reference:
          type: string
          description: >-
            A reference code you'll generate to identify this transaction. This
            must be unique for every transaction. If you don't pass one, we will
            generate one for you.
        transferRecipientId:
          type: string
          description: >-
            id of a transfer recipient gotten from the response of
            TransferRecipient Call
          example: 6659692f019f6a143f7f90db
          examples:
            - 6659692f019f6a143f7f90db
        amount:
          $ref: '#/components/schemas/Amount'
        narration:
          type: string
          example: Transfer of 100
          examples:
            - Transfer of 100
        pin:
          type: string
          description: >-
            This is your disbursement pin. This is a form of disbursement
            authorization. Alternative is an Authorization URL
        webhookURL:
          type: string
          format: uri
          description: >-
            This is a URL, if this is passed we will send the event webhook
            payload to this endpoint. Use this to override the webhook url
            provided on the dashboard for this transaction. Read more on
            [Webhooks](https://docs.payfonte.com/#/collections/webhook)
          example: https://example.com/webhook
          examples:
            - https://example.com/webhook
        metadata:
          $ref: '#/components/schemas/Metadata'
    RequestDisbursementResponse:
      type: object
      properties:
        reference:
          type: string
          description: >-
            A reference code you'll generate to identify this transaction. This
            must be unique for every transaction. If you don't pass one, we will
            generate one for you.
        amount:
          $ref: '#/components/schemas/Amount'
        amountPayable:
          $ref: '#/components/schemas/Amount'
          description: This signifies the actual amount sent to the recipient
        provider:
          $ref: '#/components/schemas/Provider'
        currency:
          $ref: '#/components/schemas/Currency'
        country:
          $ref: '#/components/schemas/Country'
        status:
          type: string
          enum:
            - processing
            - failed
            - success
    Amount:
      type: integer
      description: >-
        Amount should be in the subunit of the supported currency i.e value *
        100 [Amount
        Specification](https://docs.payfonte.com/guides/introductions/amount-specification)
      format: int64
      example: 100000
      examples:
        - 100000
    Metadata:
      type: object
      properties:
        merchantName:
          type: string
          example: Karis Clothing
          examples:
            - Karis Clothing
        trafficType:
          type: string
          example: ECOMMERCE
          examples:
            - ECOMMERCE
    Provider:
      type: string
      description: >-
        This is the provider we are validating the account against. Find full
        list of providers here [Supported
        Providers](https://docs.payfonte.com/#/Disbursements/supported-Disbursements)
      examples:
        - provider-slug
    Currency:
      type: string
      description: 3 character currency code
      example: USD, NGN, XOF, XAF
      examples:
        - NGN
        - USD
        - XOF
        - XAF
    Country:
      type: string
      description: 2 character country code
      example: US, NG, CI, SN, CA, UK
      examples:
        - NG
        - US
        - CI
        - SN
        - CA
        - UK
  securitySchemes:
    clientId:
      type: apiKey
      name: client-id
      in: header
    clientSecret:
      type: apiKey
      name: client-secret
      in: header

````